#include <Wire.h>
#include <Adafruit_MLX90614.h>
#include <MoleGraph.h>

MoleGraph moleGraph;

Adafruit_MLX90614 mlx = Adafruit_MLX90614();

float tempA;
float tempO;

void UpdateGraphChannels(void)
{
  moleGraph.SetChannelValue(1, tempA);
  moleGraph.SetChannelValue(2, tempO);
}
void MeasurementStartedCallback(void)
{
  digitalWrite(13, HIGH);
}
void MeasurementStoppedCallback(void)
{
  digitalWrite(13, LOW);
}
void MeasurementPausedCallback(void)
{
  digitalWrite(13, LOW);
}
void MeasurementContinuedCallback(void)
{
  digitalWrite(13, HIGH);
}


void setup()
{
  moleGraph.Setup();
  moleGraph.SetSendingCallback(&UpdateGraphChannels);
  moleGraph.SetMeasurementStartedCallback(&MeasurementStartedCallback);
  moleGraph.SetMeasurementStoppedCallback(&MeasurementStoppedCallback);
  moleGraph.SetMeasurementPausedCallback(&MeasurementPausedCallback);
  moleGraph.SetMeasurementContinuedCallback(&MeasurementContinuedCallback);
  pinMode(13, OUTPUT);

  mlx.begin();
  tempA = mlx.readAmbientTempC();
  tempO = mlx.readObjectTempC();
     
}

void loop()
{
  moleGraph.CheckInput();
  
  tempA = mlx.readAmbientTempC();
  tempO = mlx.readObjectTempC();
}




